libepubgen::EPUBHTMLGenerator Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBHTMLGenerator Class Reference

`#include <EPUBHTMLGenerator.h>`

Inheritance diagram for libepubgen::EPUBHTMLGenerator:

## Public Member Functions
| EPUBHTMLGenerator (EPUBXMLSink &document, EPUBImageManager &imageManager, EPUBListStyleManager &listStyleManager, EPUBParagraphStyleManager &paragraphStyleManager, EPUBSpanStyleManager &spanStyleManager, EPUBTableStyleManager &tableStyleManager, const EPUBPath &path, const EPUBPath &stylesheetPath)
| ~EPUBHTMLGenerator ()
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList)
void | startDocument (const librevenge::RVNGPropertyList &propList)
void | endDocument ()
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)
void | definePageStyle (const librevenge::RVNGPropertyList &)
void | openPageSpan (const librevenge::RVNGPropertyList &propList)
void | closePageSpan ()
void | openHeader (const librevenge::RVNGPropertyList &propList)
void | closeHeader ()
void | openFooter (const librevenge::RVNGPropertyList &propList)
void | closeFooter ()
void | defineSectionStyle (const librevenge::RVNGPropertyList &)
void | openSection (const librevenge::RVNGPropertyList &propList)
void | closeSection ()
void | defineParagraphStyle (const librevenge::RVNGPropertyList &)
void | openParagraph (const librevenge::RVNGPropertyList &propList)
void | closeParagraph ()
void | defineCharacterStyle (const librevenge::RVNGPropertyList &)
void | openSpan (const librevenge::RVNGPropertyList &propList)
void | closeSpan ()
void | openLink (const librevenge::RVNGPropertyList &propList)
void | closeLink ()
void | insertTab ()
void | insertText (const librevenge::RVNGString &text)
void | insertSpace ()
void | insertLineBreak ()
void | insertField (const librevenge::RVNGPropertyList &propList)
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | closeOrderedListLevel ()
void | closeUnorderedListLevel ()
void | openListElement (const librevenge::RVNGPropertyList &propList)
void | closeListElement ()
void | openFootnote (const librevenge::RVNGPropertyList &propList)
void | closeFootnote ()
void | openEndnote (const librevenge::RVNGPropertyList &propList)
void | closeEndnote ()
void | openComment (const librevenge::RVNGPropertyList &propList)
void | closeComment ()
void | openTextBox (const librevenge::RVNGPropertyList &propList)
void | closeTextBox ()
void | openTable (const librevenge::RVNGPropertyList &propList)
void | openTableRow (const librevenge::RVNGPropertyList &propList)
void | closeTableRow ()
void | openTableCell (const librevenge::RVNGPropertyList &propList)
void | closeTableCell ()
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | closeTable ()
void | openFrame (const librevenge::RVNGPropertyList &propList)
void | closeFrame ()
void | openGroup (const librevenge::RVNGPropertyList &propList)
void | closeGroup ()
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList)
void | drawRectangle (const librevenge::RVNGPropertyList &propList)
void | drawEllipse (const librevenge::RVNGPropertyList &propList)
void | drawPolygon (const librevenge::RVNGPropertyList &propList)
void | drawPolyline (const librevenge::RVNGPropertyList &propList)
void | drawPath (const librevenge::RVNGPropertyList &propList)
void | drawConnector (const librevenge::RVNGPropertyList &propList)
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | insertEquation (const librevenge::RVNGPropertyList &propList)

## Private Member Functions
| EPUBHTMLGenerator (const EPUBHTMLGenerator &)
EPUBHTMLGenerator & | operator= (const EPUBHTMLGenerator &)

## Private Attributes
EPUBHTMLGeneratorImpl * | m_impl

## Constructor & Destructor Documentation

libepubgen::EPUBHTMLGenerator::EPUBHTMLGenerator | ( | EPUBXMLSink & | document,
|  | EPUBImageManager & | imageManager,
|  | EPUBListStyleManager & | listStyleManager,
|  | EPUBParagraphStyleManager & | paragraphStyleManager,
|  | EPUBSpanStyleManager & | spanStyleManager,
|  | EPUBTableStyleManager & | tableStyleManager,
|  | const EPUBPath & | path,
|  | const EPUBPath & | stylesheetPath
| ) |  |

libepubgen::EPUBHTMLGenerator::~EPUBHTMLGenerator | ( |  | ) |

libepubgen::EPUBHTMLGenerator::EPUBHTMLGenerator | ( | const EPUBHTMLGenerator & |  | ) |
| private

## Member Function Documentation

void libepubgen::EPUBHTMLGenerator::closeComment | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeEndnote | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeFooter | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeFootnote | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeFrame | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeGroup | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeHeader | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeLink | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeListElement | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeOrderedListLevel | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closePageSpan | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeParagraph | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeSection | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeSpan | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeTable | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeTableCell | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeTableRow | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeTextBox | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::closeUnorderedListLevel | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & |  | ) |

void libepubgen::EPUBHTMLGenerator::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::definePageStyle | ( | const librevenge::RVNGPropertyList & |  | ) |

void libepubgen::EPUBHTMLGenerator::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & |  | ) |

void libepubgen::EPUBHTMLGenerator::defineSectionStyle | ( | const librevenge::RVNGPropertyList & |  | ) |

void libepubgen::EPUBHTMLGenerator::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::endDocument | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::insertLineBreak | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::insertSpace | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::insertTab | ( |  | ) |

void libepubgen::EPUBHTMLGenerator::insertText | ( | const librevenge::RVNGString & | text | ) |

void libepubgen::EPUBHTMLGenerator::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

EPUBHTMLGenerator& libepubgen::EPUBHTMLGenerator::operator= | ( | const EPUBHTMLGenerator & |  | ) |
| private

void libepubgen::EPUBHTMLGenerator::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBHTMLGenerator::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |

## Member Data Documentation

EPUBHTMLGeneratorImpl* libepubgen::EPUBHTMLGenerator::m_impl
| private

Referenced by closeComment(), closeEndnote(), closeFooter(), closeFootnote(), closeHeader(), closeLink(), closeListElement(), closeOrderedListLevel(), closeParagraph(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeTextBox(), closeUnorderedListLevel(), defineCharacterStyle(), defineParagraphStyle(), endDocument(), insertBinaryObject(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openComment(), openEndnote(), openFooter(), openFootnote(), openHeader(), openLink(), openListElement(), openOrderedListLevel(), openPageSpan(), openParagraph(), openSpan(), openTable(), openTableCell(), openTableRow(), openTextBox(), openUnorderedListLevel(), setDocumentMetaData(), and ~EPUBHTMLGenerator().

The documentation for this class was generated from the following files:

- EPUBHTMLGenerator.h
- EPUBHTMLGenerator.cpp